Get Entity Property Source
curl --request GET \
--url https://statsigapi.net/console/v1/experiments/entity_property/{name} \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/experiments/entity_property/{name}"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/experiments/entity_property/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Entity Property Source read successfully.",
"data": {
"name": "Location",
"description": "This is the the location description",
"tags": [],
"sql": "SELECT * FROM shoppy-sales.setup.user_properties",
"timestampColumn": "timestamp",
"idTypeMapping": [
{
"statsigUnitID": "stableID",
"column": "user_id"
}
],
"timestampAsDay": true
}
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}Experiments (Warehouse Native)
Get Entity Property Source
GET
/
console
/
v1
/
experiments
/
entity_property
/
{name}
Get Entity Property Source
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
Name of entity property source
⌘I

